<?php
namespace SabaiApps\Directories\Component\User\EntityType;

use SabaiApps\Directories\Component\Entity\Type\AbstractEntity;

abstract class AbstractUserEntity extends AbstractEntity {

	public function __construct( array $properties ) {
		parent::__construct( 'users_usr_usr', 'user__user', $properties );
	}

	public function getType() {
		return 'user';
	}

	public function getAuthorId() {
		return $this->getId();
	}

	abstract public function getEmail();
	abstract public function getUrl();
	abstract public function getFirstName();
	abstract public function getLastName();
}
